set mem 100000
set more off
set matsize 800
use "cabinet.dta"
log using "table_3.log", replace t
 
sort ccode year

#delimit ;
stset yt, 
         failure(nonconex==1) 
         id(ccode)
         origin(time y0)
         exit(time .);
#delimit cr


******************************************

mark nomiss 
markout nomiss cabinet exun exmulti leadyrs civwar laggdp00 laggrw oil mineral ethjdf lagpop colfr
drop if nomiss==0
drop nomiss

gen cabinet2=cabinet^2


/******************************************
Table 3
******************************************/

*Model 1
streg cabinet cabinet2 polity leadyrs civwar laggdp00 laggrw oil mineral ethjdf lagpop colfr urban trade, d(gompertz) nolog robust

*Model 2
streg cabinet cabinet2 fdemo pdemo leadyrs civwar laggdp00 laggrw oil mineral ethjdf lagpop colfr urban trade, d(gompertz) nolog robust

*Model 3
streg cabinet cabinet2 exun exmulti leadyrs civwar laggdp00 laggrw oil mineral ethjdf lagpop colfr urban trade, d(gompertz) nolog robust

log close
