
set mem 100000
capture log close
set more off
set matsize 800
use "cabinet.dta"
log using "table_1_2.log", replace t

sort ccode year
tsset ccode year, yearly


**************************************

mark nomiss 
markout nomiss cabinet laggdp00 laggrw lagaidpc ethjdf lagpop  
drop if nomiss==0
drop nomiss

/**************************************
TABLE 1 
**************************************/

*Model 1
xtreg cabinet polity laggdp00 lagaidpc oil mineral ethjdf colfr lagpop dec80 dec90, be

*Model 2
xtreg cabinet laggdp00 lagaidpc oil mineral ethjdf colfr lagpop dec80 dec90 fdemo pdemo, be

*Model 3
xtreg cabinet laggdp00 lagaidpc oil mineral ethjdf colfr lagpop dec80 dec90  exmulti exun, be

*Model 4
xtreg cabinet polity laggdp00 ethjdf lagpop, be


/**************************************
TABLE 2
**************************************/

*Model 1
xtreg cabnxt cabinet polity loggdp logpop civwar, fe robust

*Model 2
xtreg cabnxt cabinet polity loggdp logpop instab, fe robust

*Model 3
xtreg cabnxt cabinet polity loggdp logpop govcrises, fe robust

*Model 4
xtreg cabnxt cabinet polity loggdp logpop antigovdem, fe robust


log close

exit, clear

